import http from './http';
import type { Page } from '@/types/Page';

export async function listPages(): Promise<Page[]> {
  const { data } = await http.get('/pages');
  return data;
}

export async function getPage(pagenum: number): Promise<Page> {
  const { data } = await http.get(`/pages/${pagenum}`);
  return data;
}

export async function createPage(): Promise<Page> {
  const { data } = await http.post('/pages');
  return data;
}

export async function updatePage(pagenum: number, payload: Partial<Page>): Promise<Page> {
  const { data } = await http.put(`/pages/${pagenum}`, payload);
  return data;
}

export async function deletePage(pagenum: number): Promise<void> {
  await http.delete(`/pages/${pagenum}`);
}
