export interface Queue {
  pageID: number;
  orderID: null;
  machineID: null;
  QueueID: number;
  machine?: {
    MachineID: number;
    name: string;
  };
  page?: {
    PageID: number;
  };
  order?: {
    OrderID: number;
  };
  employees: Employee[];
  startTime: string | Date;
  finishTime: string | Date;
  status: string;
  bottleSize: string;
  producedQuantity: number;
  itemID: number;
  itemType: 'PRODUCT' | 'MATERIAL';
}

export interface Employee {
  EmployeeID: number;
  name: string;
}

export interface QueuePostData {
  startTime: string;
  finishTime: string;
  status: string;
  bottleSize: string;
  producedQuantity: number;
  MachineID: number;
  PageID: number;
  OrderID: number;
  EmployeeIds: number[];
  itemID: number;
  itemType: 'PRODUCT' | 'MATERIAL';
}
